NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Classes | Public Types | Protected Member Functions | Properties | List of all members
NXOpen.CAE.BeamSectionOffsetOptions Class Reference

More...

Inheritance diagram for NXOpen.CAE.BeamSectionOffsetOptions:
NXOpen.TransientObject NXOpen.Utilities.NXRemotableObject IDisposable IMessageSink

Classes

struct  _Offset
 Represents the offset value
 
struct  Offset
 Represents the offset value More...
 

Public Types

enum  Method { Neutral, LanguageSpecific }
 Represents the offset definition method More...
 

Protected Member Functions

override void FreeResource ()
 Destroys the object More...
 

Properties

unsafe
NXOpen.CAE.BeamSectionOffsetOptions.Offset 
AftOffset [get, set]
 Returns or sets the aft offsets More...
 
unsafe
NXOpen.CAE.BeamSectionOffsetOptions.Offset 
ForeOffset [get, set]
 Returns or sets the fore offsets More...
 
unsafe bool IsOffsetSpecified [get, set]
 Returns or sets the flag indicating whether the offset is specified More...
 
unsafe
NXOpen.CAE.BeamSectionOffsetOptions.Method 
OffsetMethodType [get, set]
 Returns or sets the method to define beam end offsets More...
 
unsafe bool SameEndOffsets [get, set]
 Returns or sets the flag indicating whether the offset on both fore end and aft end are consistent More...
 
- Properties inherited from NXOpen.TransientObject
IntPtr Handle [get]
 Handle of the internal object represented by this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.TransientObject
void Dispose ()
 Frees the object from memory. More...
 
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
new string ToString ()
 Returns a String that represents the current Object. More...
 

Detailed Description

To create a new instance of this class, use NXOpen.CAE.CaePart.NewBeamSectionOffsetOptions

Created in NX7.5.0

Member Enumeration Documentation

Represents the offset definition method

Enumerator
Neutral 

The offset coordindate system is defined in neutral way

LanguageSpecific 

The offset coordindate system is defined in language-specific way.

Only available to Nastran

Member Function Documentation

override void NXOpen.CAE.BeamSectionOffsetOptions.FreeResource ( )
inlineprotectedvirtual

Destroys the object

Created in NX7.5.0

License requirements: None.

Implements NXOpen.TransientObject.

Property Documentation

unsafe NXOpen.CAE.BeamSectionOffsetOptions.Offset NXOpen.CAE.BeamSectionOffsetOptions.AftOffset
getset

Returns or sets the aft offsets

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe NXOpen.CAE.BeamSectionOffsetOptions.Offset NXOpen.CAE.BeamSectionOffsetOptions.ForeOffset
getset

Returns or sets the fore offsets

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe bool NXOpen.CAE.BeamSectionOffsetOptions.IsOffsetSpecified
getset

Returns or sets the flag indicating whether the offset is specified

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe NXOpen.CAE.BeamSectionOffsetOptions.Method NXOpen.CAE.BeamSectionOffsetOptions.OffsetMethodType
getset

Returns or sets the method to define beam end offsets

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe bool NXOpen.CAE.BeamSectionOffsetOptions.SameEndOffsets
getset

Returns or sets the flag indicating whether the offset on both fore end and aft end are consistent

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.